Get an audience
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "<string>",
"keywords": [
"<string>"
],
"topics": [
"<string>"
],
"tags": [
"<string>"
],
"dataStoreIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Audiences
Get an audience
One saved audience.
Scope: audiences:read.
GET
/
audiences
/
{audienceId}
Get an audience
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/audiences/{audienceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "<string>",
"keywords": [
"<string>"
],
"topics": [
"<string>"
],
"tags": [
"<string>"
],
"dataStoreIds": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Path Parameters
Audience id.
Pattern:
^[a-f0-9]{24}$
